﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;
using ThinkGeo.UI.Wpf;



namespace WpfDotNetFramwork
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // Use BingMap Layer.
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.CurrentExtent = MaxExtents.BingMaps;
            BingMapsLayer bingMapsLayer = new BingMapsLayer("Your Id");
            LayerOverlay layerOverlay = new LayerOverlay() { TileHeight = 256, TileWidth = 256 };
            layerOverlay.TileCache = null;
            layerOverlay.Layers.Add(bingMapsLayer);
            layerOverlay.TileSizeMode = TileSizeMode.Small;
            layerOverlay.MaxExtent = MaxExtents.OsmMaps;
            mapView.Overlays.Add("World", layerOverlay);
            CadFeatureLayer cadFeatureLayer = new CadFeatureLayer(@"D:\Tickets\Afry Infra GmbH\Cad_data\Cad_data.dwg");
            string proj4String = Projection.ConvertWktToProjString(System.IO.File.ReadAllText(@"D:\Tickets\Afry Infra GmbH\Cad_data\Cad_data.prj"));

            ProjectionConverter projectionConverter = new ProjectionConverter(proj4String, 3857);
            projectionConverter.Open();
            cadFeatureLayer.FeatureSource.ProjectionConverter = projectionConverter;
            cadFeatureLayer.Open();
            layerOverlay.Layers.Add(cadFeatureLayer);
            mapView.CurrentExtent = cadFeatureLayer.GetBoundingBox();
            mapView.Refresh();
        }
    }
}
